!DEC$ FREEFORM

!
!  Copyright 2001 Compaq Computer Corporation
!  
!  Compaq and the Compaq logo Registered in U.S. Patent and Trademark
!  Office.
!  
!  Confidential computer software.  Valid license from Compaq required for
!  possession, use or copying.  Consistent with FAR 12.211 and 12.212,
!  Commerical Computer Software, Computer Software Documentation, and
!  Technical Data for Commmerical Items are licensed to the U.S. Government
!  under vendor's standard commerical license.
!

!DEC$ IF .NOT. DEFINED( __sparse_blas_s_include )

   !DEC$ DEFINE __sparse_blas_s_include

   !DEC$ IF DEFINED( _DLL )
      !DEC$ OBJCOMMENT LIB: "cxmldll.lib" 
   !DEC$ ELSE
      !DEC$ OBJCOMMENT LIB: "cxml.lib" 
   !DEC$ ENDIF

   INTERFACE
      SUBROUTINE saxpyi(nz,a,x,indx,y)
         !DEC$ ATTRIBUTES DEFAULT :: saxpyi
         INTEGER(KIND=4) :: nz
         REAL(KIND=4) :: a
         REAL(KIND=4) :: x(*)
         INTEGER(KIND=4) :: indx(*)
         REAL(KIND=4) :: y(*)
      END SUBROUTINE saxpyi
   END INTERFACE

   INTERFACE
      FUNCTION sdoti(nz,x,indx,y)
         !DEC$ ATTRIBUTES DEFAULT :: sdoti
         INTEGER(KIND=4) :: nz
         REAL(KIND=4) :: x(*)
         INTEGER(KIND=4) :: indx(*)
         REAL(KIND=4) :: y(*)
         REAL(KIND=4) :: sdoti
      END FUNCTION sdoti
   END INTERFACE

   INTERFACE
      SUBROUTINE sgthr(nz,y,x,indx)
         !DEC$ ATTRIBUTES DEFAULT :: sgthr
         INTEGER(KIND=4) :: nz
         REAL(KIND=4) :: y(*)
         REAL(KIND=4) :: x(*)
         INTEGER(KIND=4) :: indx(*)
      END SUBROUTINE sgthr
   END INTERFACE

   INTERFACE
      SUBROUTINE sgthrs(nz,a,y,x,indx)
         !DEC$ ATTRIBUTES DEFAULT :: sgthrs
         INTEGER(KIND=4) :: nz
         REAL(KIND=4) :: a
         REAL(KIND=4) :: y(*)
         REAL(KIND=4) :: x(*)
         INTEGER(KIND=4) :: indx(*)
      END SUBROUTINE sgthrs
   END INTERFACE

   INTERFACE
      SUBROUTINE sgthrz(nz,y,x,indx)
         !DEC$ ATTRIBUTES DEFAULT :: sgthrz
         INTEGER(KIND=4) :: nz
         REAL(KIND=4) :: y(*)
         REAL(KIND=4) :: x(*)
         INTEGER(KIND=4) :: indx(*)
      END SUBROUTINE sgthrz
   END INTERFACE

   INTERFACE
      SUBROUTINE sroti(nz,x,indx,y,c,s)
         !DEC$ ATTRIBUTES DEFAULT :: sroti
         INTEGER(KIND=4) :: nz
         REAL(KIND=4) :: x(*)
         INTEGER(KIND=4) :: indx(*)
         REAL(KIND=4) :: y(*)
         REAL(KIND=4) :: c
         REAL(KIND=4) :: s
      END SUBROUTINE sroti
   END INTERFACE

   INTERFACE
      SUBROUTINE ssctr(nz,x,indx,y)
         !DEC$ ATTRIBUTES DEFAULT :: ssctr
         INTEGER(KIND=4) :: nz
         REAL(KIND=4) :: x(*)
         INTEGER(KIND=4) :: indx(*)
         REAL(KIND=4) :: y(*)
      END SUBROUTINE ssctr
   END INTERFACE

   INTERFACE
      SUBROUTINE ssctrs(nz,a,x,indx,y)
         !DEC$ ATTRIBUTES DEFAULT :: ssctrs
         INTEGER(KIND=4) :: nz
         REAL(KIND=4) :: a
         REAL(KIND=4) :: x(*)
         INTEGER(KIND=4) :: indx(*)
         REAL(KIND=4) :: y(*)
      END SUBROUTINE ssctrs
   END INTERFACE

   INTERFACE
      SUBROUTINE ssumi(nz,x,indx,y)
         !DEC$ ATTRIBUTES DEFAULT :: ssumi
         INTEGER(KIND=4) :: nz
         REAL(KIND=4) :: x(*)
         INTEGER(KIND=4) :: indx(*)
         REAL(KIND=4) :: y(*)
      END SUBROUTINE ssumi
   END INTERFACE

!DEC$ ENDIF
